This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 443938 - (CVE-2008-1928) CVE-2008-1928 perl-Imager: buffer overflow when using an image based fill on a double precision image
CVE-2008-1928 perl-Imager: buffer overflow when using an image based fill on ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20080423,public=2...
: Security
Depends On: 443939 443940 443941
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 04:33 EDT by Tomas Hoger
Modified: 2008-07-21 05:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 05:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-24 04:33:44 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1928 to the following vulnerability:

Buffer overflow in Imager 0.42 through 0.63 allows attackers to cause
a denial of service (crash) via an image based fill in which the
number of input channels is different from the number of output
channels.

References:
http://rt.cpan.org/Public/Bug/Display.html?id=35324
Comment 2 Fedora Update System 2008-04-29 16:55:17 EDT
perl-Imager-0.64-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-05-09 15:56:33 EDT
perl-Imager-0.64-2.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-05-14 18:12:53 EDT
perl-Imager-0.64-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-05-15 09:44:43 EDT
perl-Imager-0.64-2.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-05-17 18:18:25 EDT
perl-Imager-0.64-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-07-21 05:44:02 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3352
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-4003


Note You need to log in before you can comment on or make changes to this bug.